View Issue Details

IDProjectCategoryView StatusLast Update
0000305XMB1Bugspublic2010-02-24 17:57
ReporterJohn BriggsAssigned Tokuba1 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version1.9.8 SP2 
Target Version1.9.11.08Fixed in Version1.9.11.08 
Summary0000305: Cosmetic Change To message ourput in editprofile
DescriptionThe message output upon clicking the dit profile button does not comply nor use the message(). Purely a cosmetic issue. Minor tweak and all is good.
Steps To ReproduceGo to editprofile and click submit and the message that states success doesn't comply like the rest of the forum which uses message().
TagsNo tags attached.
MySQL Version
PHP Version
Web Server
Browser
Flags
Original Reporter
SVN Revision

Activities

2009-03-17 19:06

 

editprofile_submit_cosmetic.txt (327 bytes)
Edit File: editprofile.php

Find Code:

    $editpage = '<div align="center"><span class="mediumtxt">'.$lang['adminprofilechange'].'</span></div>';
    redirect($full_url.'cp.php', 2, X_REDIRECT_JS);

Replace Code With:

    $editpage = message($lang['adminprofilechange'], TRUE, '', '', $full_url.'cp.php', true, false, true);

miqrogroove

2009-03-17 22:09

administrator   ~0000183

The same can be said for all of the admin scripts. cp.php, cp2.php, and tools.php all echo HTML messages without using a template. This may be a consideration for future versions?

John Briggs

2009-03-18 12:26

reporter   ~0000184

Excellent to hear. I have done it to my forum already.

kuba1

2009-09-06 16:05

administrator   ~0000197

Corrected editprofile.php

Admin scripts not to be redone at this time.

kuba1

2009-09-06 16:06

administrator   ~0000198

Fixed the editprofile.php cosmetic issue

Issue History

Date Modified Username Field Change
2009-03-17 19:06 John Briggs New Issue
2009-03-17 19:06 John Briggs File Added: editprofile_submit_cosmetic.txt
2009-03-17 22:09 miqrogroove Note Added: 0000183
2009-03-17 22:09 miqrogroove Status new => acknowledged
2009-03-18 12:26 John Briggs Note Added: 0000184
2009-09-06 16:05 kuba1 Note Added: 0000197
2009-09-06 16:05 kuba1 Status acknowledged => assigned
2009-09-06 16:05 kuba1 Assigned To => kuba1
2009-09-06 16:06 kuba1 Note Added: 0000198
2009-09-06 16:06 kuba1 Status assigned => resolved
2009-09-06 16:06 kuba1 Resolution open => fixed
2010-01-23 21:41 miqrogroove Product Version 1.9.11.04 => 1.9.8 SP2
2010-01-23 21:41 miqrogroove Fixed in Version => 1.9.11.07
2010-01-23 21:41 miqrogroove Target Version => 1.9.11.07
2010-01-24 00:10 miqrogroove Fixed in Version 1.9.11.07 => 1.9.11.08
2010-01-24 00:10 miqrogroove Target Version 1.9.11.07 => 1.9.11.08
2010-02-24 17:57 miqrogroove Status resolved => closed